<div style="display:flex; justify-content:center">
    <div style="margin-top:'70px'; border: '3px solid darkgray'; border-radius:'10px'; padding:'20px 20px 50px 20px'">
    
    <legend style="text-align:'center'; margin-bottom:'20px'; font-size:'40px'; padding:'3px'; font-weight:'bold'">LogIn</legend>
    <div class="form-group" style="display:flex; justify-content:center; padding:'5px'; margin:'40px'">
        <label style="font-size:'20px'; width:'110px'; margin-right:'10px'">AdminName</label>
        <input type="name"
                name="adminName"
                [(ngModel)]="admin.adminName"
                id="adminName"
                style="font-size:'15px'; height:'25px'; border-radius:'3px'"
                />
    </div>
    <div class="form-group" style="display:flex; justify-content:center; padding:'5px'; margin:'40px'">
        <label style="font-size:'20px'; width:'110px'; margin-right:'10px'">Password</label>
        <input type="password"
                  name="adminPassword"
                  [(ngModel)]="admin.adminPassword"
                  id="adminPassword"
                  style="font-size:'15px'; height:'25px'; border-radius:'3px'"
                />
    </div>
    <div style="display:flex; justify-content:center">
        <input
          type="submit"
          value="Log In"
          (click)="onLogin()"
          style="color:'whitesmoke'; font-size:'20px'; background-color:'indigo'; border-radius:'5px'; height:'45px'; width:'110px'"
        />
    </div>
    <div style="display:flex; justify-content:center" *ngIf="errorLogin">
            <p id='loginerr' style="font-size:'20px'; margin-top:'10px'; color:'red'; text-align:'center'">Invalid credentials!</p>
    </div>
    </div>
</div>
